Alokai

SapccApiValidateAddressRequest

Request parameters for validateAddress operation in SapccApi. SapccApiValidateAddressRequest

interface SapccApiValidateAddressRequest {
	readonly address: Address;
	readonly baseSiteId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
addressRequiredAddress{Address} SapccApiValidateAddress
baseSiteIdRequiredstringBase site identifier {string} SapccApiValidateAddress
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiValidateAddress
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiValidateAddress

Referenced Types

On this page